Bug 233282 - devel/racer: update to 2.1.14
Summary: devel/racer: update to 2.1.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/racer-rust/racer/c...
Keywords: patch, patch-ready
Depends on: 231571
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-18 00:05 UTC by Jan Beich
Modified: 2018-12-07 02:31 UTC (History)
1 user (show)

See Also:


Attachments
v1 (32.97 KB, patch)
2018-11-18 00:05 UTC, Jan Beich
no flags Details | Diff
v1.1 (44.93 KB, patch)
2018-12-03 01:44 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-11-18 00:05:15 UTC
Created attachment 199304 [details]
v1

RUSTC_BOOTSTRAP=1 trick doesn't help building newer versions of rustc-ap-syntax, so I've added a patch to keep using the current one. See URL field for upstream changelog.

Build logs:
- 11.2 amd64: https://ptpb.pw/cMJo
- 11.2 i386:  https://ptpb.pw/9Aec
- 13.0 amd64: https://ptpb.pw/D74Z
- 13.0 i386:  https://ptpb.pw/8JcB
Comment 1 Jan Beich freebsd_committer 2018-12-03 01:44:35 UTC
Created attachment 199770 [details]
v1.1

Build logs:
- 11.2 amd64: https://ptpb.pw/icOk
- 11.2 i386:  https://ptpb.pw/vXar
- 12.0 amd64: https://ptpb.pw/RL_d
- 12.0 i386:  https://ptpb.pw/cUF3
- 13.0 amd64: https://ptpb.pw/9f39
- 13.0 i386:  https://ptpb.pw/evOK
Comment 2 Jan Beich freebsd_committer 2018-12-03 01:45:32 UTC
https://github.com/rust-lang/rust/blob/master/RELEASES.md#version-1310-2018-12-06 suggests files/patch-rustc-ap-syntax-237 can be dropped after lang/rust updates to 1.31.0 (scheduled on 2018-12-06).
Comment 3 Timothy Beyer 2018-12-03 10:17:37 UTC
Sorry notification got lost in a sea of emails, approved.
Comment 4 commit-hook freebsd_committer 2018-12-04 00:51:56 UTC
A commit references this bug:

Author: jbeich
Date: Tue Dec  4 00:51:16 UTC 2018
New revision: 486563
URL: https://svnweb.freebsd.org/changeset/ports/486563

Log:
  devel/racer: update to 2.1.14

  Changes:	https://github.com/racer-rust/racer/compare/v2.1.5...v2.1.14
  PR:		233282
  Approved by:	Timothy Beyer (maintainer)

Changes:
  head/devel/racer/Makefile
  head/devel/racer/distinfo
  head/devel/racer/files/
  head/devel/racer/files/patch-rustc-ap-syntax-237
Comment 5 Jan Beich freebsd_committer 2018-12-07 02:31:38 UTC
files/patch-rustc-ap-syntax-237 has been dropped in ports r486770, facilitating future devel/racer upgrades.